RTEMS: Input Devices for MicroWindows

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Enumerations | Functions
Input Devices for MicroWindows
Device Drivers

## Files
file | mw_uid.h
| Input Devices for MicroWindows.
file | mw_print.c
| MicroWindows Print.
file | mw_uid.c
| MicroWindows UID.

## Data Structures
struct | MW_UID_MESSAGE

## Macros
#define | MW_UID_REGISTER_DEVICE 0x4100
#define | MW_UID_UNREGISTER_DEVICE 0x4101
#define | MV_BUTTON_RIGHT 0x01
#define | MV_BUTTON_CENTER 0x02
#define | MV_BUTTON_LEFT 0x04
#define | MV_KEY_MODIFIER_SHIFT_DOWN 0x10
#define | MV_KEY_MODIFIER_ALT_DOWN 0x20
#define | MV_KEY_MODIFIER_CAPS_ON 0x04
#define | MV_KEY_MODIFIER_NUN_LOCK_ON 0x02
#define | MV_KEY_SCROLL_LOCK_ON 0x01
#define | MV_KEY_MODE_ASCII 0x01
#define | MV_KEY_MODE_SCANCODE 0x00
#define | MV_KDGKBMODE 0x4B44 /* gets current keyboard mode */
#define | MV_KDSKBMODE 0x4B45 /* sets current keyboard mode */

## Enumerations
enum | MW_INPUT_DEVICE_TYPE { MV_UID_INVALID = 0 , MV_UID_REL_POS = 1 , MV_UID_ABS_POS = 2 , MV_UID_KBD = 3 , MV_UID_TIMER = 4 }

## Functions
int | uid_open_queue (const char *q_name, int flags, size_t max_msgs)
int | uid_close_queue (void)
int | uid_read_message (struct MW_UID_MESSAGE *m, unsigned long timeout)
int | uid_send_message (struct MW_UID_MESSAGE *m)
int | uid_register_device (int fd, const char *q_name)
int | uid_unregister_device (int fd)
int | uid_set_kbd_mode (int fd, int mode, int *old_mode)
void | uid_print_message (struct MW_UID_MESSAGE *uid)
void | uid_print_message_with_plugin (const rtems_printer *printer, struct MW_UID_MESSAGE *uid)

## Detailed Description

## Function Documentation

## ◆ uid_close_queue()

int uid_close_queue | ( | void |  | ) |

This method closes the message queue and deletes it.

Return values

  This | method returns 0 on success and -1 on error.

## ◆ uid_open_queue()

int uid_open_queue | ( | const char * | q_name,
|  | int | flags,
|  | size_t | max_msgs
| ) |  |

This method creates the message queue that holds events from the input devices.

Parameters

  [in] | q_name | is the name of the message queue
  [in] | flags | controls the behaviour of the queue
  [in] | max_msgs | specifies the maximum number of pending messages

Note
  The message queue is from the Classic API.

Return values

  This | method returns 0 on success and -1 on error.

## ◆ uid_print_message()

void uid_print_message | ( | struct MW_UID_MESSAGE * | uid | ) |

This methods prints the specified UID message using printk

Parameters

  [in] | uid | points to the message to print

## ◆ uid_print_message_with_plugin()

void uid_print_message_with_plugin | ( | const rtems_printer * | printer,
|  | struct MW_UID_MESSAGE * | uid
| ) |  |

This methods prints the specified UID message using your fprintf style method of choice.

Parameters

  [in] | RTEMS | printer
  [in] | uid | points to the message to print

## ◆ uid_read_message()

int uid_read_message | ( | struct MW_UID_MESSAGE * | m,
|  | unsigned long | timeout
| ) |  |

This method reads a message from the queue. It waits up to the specified timeout in miliseconds. A timeout of 0 is a poll.

Parameters

  [in] | m | will be filled in with the received message
  [in] | timeout | is the maximum number of mulliseconds to wait

Return values

  This | method returns 0 on success and -1 on error.

## ◆ uid_register_device()

int uid_register_device | ( | int | fd,
|  | const char * | q_name
| ) |  |

This method registers the device associated with fd to to insert data to the queue

## ◆ uid_send_message()

int uid_send_message | ( | struct MW_UID_MESSAGE * | m | ) |

This methods writes a message to the queue.

Parameters

  [in] | m | is the message to send

Return values

  This | method returns 0 on success and -1 on error.